dpkg-statoverride(8)

NOM
dpkg-statoverride - annuler la propriété et le mode des fichiers

SYNOPSIS
dpkg-statoverride [options] --add <utilisateur> <groupe> <mode> <fichier>
dpkg-statoverride [options] --remove <fichier>
dpkg-statoverride [options] --list [<exp-reg>]

DESCRIPTION
Les « dérogations au statut » sont une façon de demander à dpkg(1) de changer le propriétaire ou le mode d'un fichier lors de l'installation d'un paquet. (Note : je dis « fichier » ici, mais cela peut être en réalité n'importe quel système de fichiers gérable par Dpkg, par exemple, des répertoires, des périphériques, etc.) On peut s'en servir pour forcer l'installation de programmes qui sont normalement « setuid » sans ce drapeau « setuid », ou pour les rendre exécutables seulement par un groupe donné.

dpkg-statoverride est un utilitaire pour gérer la liste des dérogations. Il possède trois fonctions élémentaires : l'ajout, la suppression et le listage des dérogations.

OPTIONS

--add <utilisateur> <groupe> <mode> <fichier>
    Ajoute une dérogation pour <fichier>. <fichier> n'a pas besoin d'exister quand cette commande est utilisée ; la dérogation est stockée et utilisée par la suite. Les utilisateurs ou les groupes peuvent être indiqués par leur nom (par exemple root ou nobody), ou bien par leur numéro, en préfixant ce numéro par le caractère « # » (par exemple, #0 ou #65534). Si --update est demandée et si <fichier> existe, le fichier obtient un nouveau propriétaire et un nouveau mode.

--remove <fichier>
    Supprime une dérogation pour <fichier>, le statut de <fichier> est inchangé.

--list [<exp-reg>]
    Liste toutes les dérogations. Quand on donne une expression rationnelle, on réduit la sortie aux dérogations qui correspondent au motif. Quand il n'y a pas de dérogation, ou quand aucune ne correspond au motif, dpkg-statoverride se termine avec un code de sortie égal à 1.

--force
    Forcer une opération, même si une vérification raisonnable l'interdirait. C'est nécessaire pour annuler une précédente dérogation.

--update
    Essayer de changer immédiatement le propriétaire et le mode du fichier si ce fichier existe.

--quiet
    Moins de bavardage sur ce qui est fait.

--help
    Affiche un message d'aide.

--version
    Affiche la version du programme et le copyright.

--admindir
    Change le répertoire de la base de données de dpkg, où se trouve aussi le fichier statoverride. Par défaut, c'est /var/lib/dpkg.

FICHIERS

/var/lib/dpkg/statoverride
    Ce fichier contient la liste actuelle des dérogations concernant le système. Il se trouve dans le répertoire d'administration de Dpkg, avec les autres fichiers importants comme « status » ou « available ».
    Note : dpkg-statoverride garde une copie de ce fichier, avec une extension -old, avant de le remplacer par un nouveau.

VOIR AUSSI
dpkg(1).

AUTEUR
Copyright 2000 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Philippe Batailler, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.